import { SyncTag, SyncTagRegistrationState } from "../sync";
export interface PeriodicSyncOptions {
    minInterval?: number;
}
export interface PeriodicSyncTag extends SyncTag, PeriodicSyncOptions {
}
export declare function getPeriodicSyncTagRegistration(tag: string): Promise<PeriodicSyncTag>;
export declare function getPeriodicSyncTagRegistrationState(tag: string): Promise<SyncTagRegistrationState>;
export declare function setPeriodicSyncTagRegistrationState(tag: string, registrationState: SyncTagRegistrationState): Promise<SyncTag>;
export declare function deregisterPeriodicSyncTag(tag: string): Promise<void>;
export declare class DurablePeriodicSyncManager {
    register(tag: string, options?: PeriodicSyncOptions): Promise<void>;
    getTags(): Promise<string[]>;
    unregister(tag: string): Promise<void>;
}
export declare const periodicSync: DurablePeriodicSyncManager;
